Bug 20460 - [XT3TS] format-number-044
Summary: [XT3TS] format-number-044
Status: CLOSED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XSLT 3.0 Test Suite (show other bugs)
Version: Working drafts
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: Abel Braaksma
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-20 11:22 UTC by Tim Mills
Modified: 2013-02-01 11:06 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2012-12-20 11:22:47 UTC
I disagree with the last line of the expected result.  I suspect that the result of 

<xsl:value-of select="format-number(1E100 div 3,'#####################')"/>

should be

3333333333333333000000000000000000000000000000000000000000000000000000000000000000000000000000000000

3333333333333333224453896013722304246165110619355184909726539264904319486405759542029132894851563520

See numberformat60q in the XQuery 3.0 test suite for a comparison, covered by Bug 14934.
Comment 1 Michael Kay 2013-01-31 15:22:29 UTC
Fixed as suggested
Comment 2 Tim Mills 2013-02-01 11:06:21 UTC
Thanks.